%define drakxtools_required_version 10.4.84-1mdv2007.0
%define drakxtools_conflicted_version 10.4.83

%define libname %mklibname %{name}

Summary: Printing configuration
Name: printerdrake
Version: 1.4
Release: %mkrel 1
Source0: %name-%version.tar.bz2
License: GPL
Group: System/Configuration/Printing
Url: http://www.mandrivalinux.com/en/cvs.php3
BuildRoot: %_tmppath/%name-%version-buildroot
BuildRequires: perl-MDK-Common-devel
Requires: drakxtools >= %drakxtools_required_version
Requires: dynamic
Requires: foomatic-db
Requires: foomatic-db-engine
Requires: foomatic-db-hpijs
Requires: foomatic-filters
Requires: hplip-model-data >= 1.6.12
Requires: printerdrake-common
Obsoletes: printtool
Provides: printtool
Conflicts: drakxtools <= %drakxtools_conflicted_version
BuildArch: noarch

%description
Drakprinter detects and configures your printer(s).

Listsupportedprinters lists available printers.

%package common
Summary: Printerdrake backend
Group: System/Configuration/Printing
Requires: drakxtools => %drakxtools_required_version
Requires: libdrakx-net
Conflicts: drakxtools <= %drakxtools_conflicted_version

%description common
This package contains the Mandriva printing tools library.

%prep
%setup -q

%build

%install
rm -fr %buildroot
%makeinstall_std

#install lang
%find_lang %name

#install menu icon
mkdir -p %buildroot/%_iconsdir
install -m644 pixmaps/printer-mdk.png %buildroot/%_iconsdir/printer-mdk.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog
%_sbindir/*
%{_datadir}/applications/mandriva-%name.desktop
%{_datadir}/%name
%_iconsdir/*.png

%files common
%defattr(-,root,root)
/usr/lib/libDrakX/printer


%changelog
* Wed Mar 28 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4-1mdv2007.1
+ Revision: 149361
- make popups appear centered on mcc
- show main_window earlier so that mcc doesn't complain we exited
  abnormally b/c no window was displayed (#29959)
- translation snapshot

* Fri Mar 02 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.3-4mdv2007.1
+ Revision: 131075
- Force Requires to dynamic: fix printer autodetection. Kindly fixes: #27838

* Tue Jan 30 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.3-3mdv2007.1
+ Revision: 115448
- Fix a forgotten reference to hplip < 1.6.12. Should fix bug #28454

* Wed Jan 24 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.3-2mdv2007.1
+ Revision: 112871
- Fix Requires to hplip-model-data >= 1.6.12. It missed the '='.

* Tue Jan 23 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.3-1mdv2007.1
+ Revision: 112623
- Enforced Requires to hplip-model-data > 1.6.12 as printerdrake 1.3 depends on
  this version and also it needs this file in order to know what hplip supports.
- New upstream: 1.3

* Wed Jan 17 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2-4mdv2007.1
+ Revision: 109786
- Fix foomatic-db-filters -> foomatic-filters. Closes: #28248

* Tue Jan 16 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2-3mdv2007.1
+ Revision: 109608
- Small specfile cleanup.
- Added requires on printerdrake to the packages it used to install:
  foomatic-db, foomatic-db-filters and foomatic-db-hpijs.

* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2-2mdv2007.1
+ Revision: 106522
- move foomatic-db-engine require from drakxtools into printerdrake

* Wed Dec 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2-1mdv2007.1
+ Revision: 100717
- new release
- printerdrake is now back in /usr/sbin/
- typo fix (Marek Laane)

* Thu Nov 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1-1mdv2007.1
+ Revision: 89398
- new release
- package icons too

* Thu Nov 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0-1mdv2007.1
+ Revision: 89382
- Import printerdrake



* Thu Nov 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0-1mdv2007.1
- initial release (splited out of drakxtools)
